include tools/project.mk
include make.settings
include tools/default_settings.mk
include tools/parse_make_settings.mk
include $(RULE_DIR)/funcs.mk

# CFLAGS  += -DINSPECT_MQTT_FLOW

COMP_LIB            := libkk_tsl.a
COMP_LIB_COMPONENTS := \
	midware/tsl \

SUBDIRS                 += application/kcloud
SUBDIRS                 += midware/midware
SUBDIRS                 += common/mqtt
SUBDIRS                 += common/json
SUBDIRS                 += common/api
SUBDIRS                 += common/nanomsg
SUBDIRS                 += common/ev
SUBDIRS                 += common/sqlite
SUBDIRS                 += common/hal
#SUBDIRS                 += common/zlog
#SUBDIRS                 += platform/zigbee

$(call Append_Conditional, SUBDIRS)

include $(RULE_DIR)/rules.mk
include tools/mock_build_options.mk

